Bug 689073 - [abrt] gpodder-2.13-2.fc15: episodeselector.py:215:new:TypeError: value is of wrong type for this column
Summary: [abrt] gpodder-2.13-2.fc15: episodeselector.py:215:new:TypeError: value is of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8709a2da
Depends On: 725113
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-19 04:23 UTC by Kanak Kshetri
Modified: 2011-08-03 02:38 UTC (History)
2 users (show)

Fixed In Version: gpodder-2.16-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-03 02:38:46 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (1.77 KB, text/plain)
2011-03-19 04:23 UTC, Kanak Kshetri
no flags Details

Description Kanak Kshetri 2011-03-19 04:23:52 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gpodder
component: gpodder
executable: /usr/bin/gpodder
kernel: 2.6.38-1.fc15.x86_64
package: gpodder-2.13-2.fc15
reason: episodeselector.py:215:new:TypeError: value is of wrong type for this column
release: Fedora release 15 (Lovelock)
time: 1300373480
uid: 500

backtrace
-----
episodeselector.py:215:new:TypeError: value is of wrong type for this column

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gpodder/gui.py", line 3487, in on_cleanup_ipod_activate
    self.sync_ui.on_cleanup_device()
  File "/usr/lib/python2.7/site-packages/gpodder/gtkui/desktop/sync.py", line 268, in on_cleanup_device
    _config=self._config)
  File "/usr/lib/python2.7/site-packages/gpodder/gtkui/interface/common.py", line 56, in __init__
    GtkBuilderWidget.__init__(self, gpodder.ui_folders, gpodder.textdomain, **kwargs)
  File "/usr/lib/python2.7/site-packages/gpodder/gtkui/base.py", line 70, in __init__
    self.new()
  File "/usr/lib/python2.7/site-packages/gpodder/gtkui/desktop/episodeselector.py", line 215, in new
    self.model.append( row)
TypeError: value is of wrong type for this column

Local variables in innermost frame:
index: 0
episode: <gpodder.sync.SyncTrack object at 0x7fc568929cd0>
name: 'released'
column: <gtk.TreeViewColumn object at 0x2f134b0 (GtkTreeViewColumn at 0x4863480)>
self: <gpodder.gtkui.desktop.episodeselector.gPodderEpisodeSelector object at 0x7fc568929c50>
tooltip: None
sort_name: None
toggle_cell: <gtk.CellRendererToggle object at 0x2f133c0 (GtkCellRendererToggle at 0x2e98240)>
caption: u'Released'
sort_type: None
next_column: 12
renderer: <gtk.CellRendererText object at 0x2f13500 (GtkCellRendererText at 0x2448080)>
column_types: [<type 'int'>, <type 'str'>, <type 'bool'>, <type 'str'>, <type 'str'>, <type 'str'>, <type 'int'>, <type 'str'>, <type 'int'>, <type 'str'>, <type 'int'>, <type 'str'>]
toggle_column: <gtk.TreeViewColumn object at 0x2f13410 (GtkTreeViewColumn at 0x2e27e00)>
row: [0, None, False, 'The Ethicist for 01/14/11', 'The Ethicist', '4.65 MiB', 4873769, '01/15/2011', 1295108062, 0L, 0L, '01/13/2011']

How to reproduce
-----
1. I started the program
2. It started downloading podcasts
3. Got this error.

Comment 1 Kanak Kshetri 2011-03-19 04:23:54 UTC
Created attachment 486354 [details]
File: backtrace

Comment 2 Ville-Pekka Vainio 2011-03-19 09:02:34 UTC
Another case of this bug: https://bugs.gpodder.org/show_bug.cgi?id=611
Let's see what Thomas (gPodder's main developer) thinks about this.

Comment 3 Fedora Update System 2011-07-25 19:09:39 UTC
gpodder-2.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gpodder-2.16-1.fc15

Comment 4 Fedora Update System 2011-07-26 03:44:43 UTC
Package gpodder-2.16-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gpodder-2.16-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gpodder-2.16-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-03 02:38:31 UTC
gpodder-2.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.